Loading...
Searching...
No Matches
StringRef Class Reference

An adapter. Own or reference a constant string. For convenience, this class convert multiple mutable string toward a shared representation. More...

Inheritance diagram for StringRef:
[legend]

## Public Member Functions

| StringRef (const wchar_t *ref)
| StringRef (const char *ref)
std::string & | operator() ()
std::string & | operator* ()
std::string * | operator-> ()

## Detailed Description

An adapter. Own or reference a constant string. For convenience, this class convert multiple mutable string toward a shared representation.

Definition at line 82 of file ref.hpp.

## Constructor & Destructor Documentation

## StringRef() [1/2]

StringRef | ( | const wchar_t * | ref | ) |

inline

Definition at line 86 of file ref.hpp.

## StringRef() [2/2]

StringRef | ( | const char * | ref | ) |

inline

Definition at line 88 of file ref.hpp.

## Member Function Documentation

## operator()()

std::string & operator() | ( |  | ) |

inline inherited

Definition at line 60 of file ref.hpp.

## operator*()

std::string & operator* | ( |  | ) |

inline inherited

Definition at line 61 of file ref.hpp.

## operator->()

std::string * operator-> | ( |  | ) |

inline inherited

Definition at line 62 of file ref.hpp.

The documentation for this class was generated from the following file:

- include/ftxui/util/ref.hpp